POST V1/Projects.{ext}/ProjectBenchmarking

This API is used for saving project benchmark details

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Projects.Entities.ProjectBenchmarkDetails
NameDescriptionTypeAdditional information
projectId

No description available

string

None.

prequalifiationId

No description available

string

None.

assessmentName

No description available

string

None.

externalType

No description available

string

None.

attributesxml

No description available

Collection of EMS.Projects.Entities.ProjectBenchmarkingAttributes

None.

siteBenchmarkingXml

No description available

Collection of EMS.Projects.Entities.benchmarking

None.

excludedAttributesArray

No description available

Collection of EMS.Projects.Entities.ProjectExcludedAttributes

None.

Request Formats

application/json, text/json

Sample:
{
  "projectId": "sample string 1",
  "prequalifiationId": "sample string 2",
  "assessmentName": "sample string 3",
  "externalType": "sample string 4",
  "attributesxml": [
    {
      "attributesName": "sample string 1"
    },
    {
      "attributesName": "sample string 1"
    }
  ],
  "siteBenchmarkingXml": [
    {
      "siteId": "sample string 1",
      "prequalificationDetId": "sample string 2",
      "internalScore": "sample string 3",
      "externalScore": "sample string 4",
      "siteUI": "sample string 5"
    },
    {
      "siteId": "sample string 1",
      "prequalificationDetId": "sample string 2",
      "internalScore": "sample string 3",
      "externalScore": "sample string 4",
      "siteUI": "sample string 5"
    }
  ],
  "excludedAttributesArray": [
    {
      "attributesName": "sample string 1",
      "preQualificationDetId": "sample string 2"
    },
    {
      "attributesName": "sample string 1",
      "preQualificationDetId": "sample string 2"
    }
  ]
}

application/xml, text/xml

Sample:
<ProjectBenchmarkDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Projects.Entities">
  <assessmentName>sample string 3</assessmentName>
  <attributesxml>
    <ProjectBenchmarkingAttributes>
      <AttributesName>sample string 1</AttributesName>
    </ProjectBenchmarkingAttributes>
    <ProjectBenchmarkingAttributes>
      <AttributesName>sample string 1</AttributesName>
    </ProjectBenchmarkingAttributes>
  </attributesxml>
  <excludedAttributesArray>
    <ProjectExcludedAttributes>
      <attributesName>sample string 1</attributesName>
      <preQualificationDetId>sample string 2</preQualificationDetId>
    </ProjectExcludedAttributes>
    <ProjectExcludedAttributes>
      <attributesName>sample string 1</attributesName>
      <preQualificationDetId>sample string 2</preQualificationDetId>
    </ProjectExcludedAttributes>
  </excludedAttributesArray>
  <externalType>sample string 4</externalType>
  <prequalifiationId>sample string 2</prequalifiationId>
  <projectId>sample string 1</projectId>
  <siteBenchmarkingXml>
    <benchmarking>
      <externalScore>sample string 4</externalScore>
      <internalScore>sample string 3</internalScore>
      <prequalificationDetId>sample string 2</prequalificationDetId>
      <siteId>sample string 1</siteId>
      <siteUI>sample string 5</siteUI>
    </benchmarking>
    <benchmarking>
      <externalScore>sample string 4</externalScore>
      <internalScore>sample string 3</internalScore>
      <prequalificationDetId>sample string 2</prequalificationDetId>
      <siteId>sample string 1</siteId>
      <siteUI>sample string 5</siteUI>
    </benchmarking>
  </siteBenchmarkingXml>
</ProjectBenchmarkDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.